//============================================================================
// Numbers only 12x16 font using horizontally orientated bytes.
// Set define below for MSB to the LEFT or MSB to the RIGHT.
// Written by Brent A. Crosby, Crystalfontz America, Inc.
// http://www.crystalfontz.com
//===========================================================================
//This is free and unencumbered software released into the public domain.
//
//Anyone is free to copy, modify, publish, use, compile, sell, or
//distribute this software, either in source code form or as a compiled
//binary, for any purpose, commercial or non-commercial, and by any
//means.
//
//In jurisdictions that recognize copyright laws, the author or authors
//of this software dedicate any and all copyright interest in the
//software to the public domain. We make this dedication for the benefit
//of the public at large and to the detriment of our heirs and
//successors. We intend this dedication to be an overt act of
//relinquishment in perpetuity of all present and future rights to this
//software under copyright law.
//
//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
//MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
//IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
//OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
//ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//OTHER DEALINGS IN THE SOFTWARE.
//
//For more information, please refer to <http://unlicense.org/>
//============================================================================
#include "Arduino.h"
#include "typedefs.h"
#include "fnt_12x16_h.h"
//----------------------------------------------------------------------------
#if 0 //MSB to LEFT
const uint8_t big_plus[32] PROGMEM =
  {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x30,0x00,0x30,0x00,0xFE,0x01,0xFE,0x01,0x30,0x00,0x30,0x00,0x30,0x00,0x00,0x00,0x00,0x00};
const uint8_t big_minus[32] PROGMEM =
  {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
const uint8_t big_dot[32] PROGMEM =
  {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x70,0x00,0x70,0x00,0x70,0x00};
const uint8_t big_0[32] PROGMEM =
  {0x00,0x00,0xF8,0x00,0xFE,0x03,0x06,0x03,0x03,0x06,0x03,0x06,0x03,0x06,0x03,0x06,0x03,0x06,0x03,0x06,0x03,0x06,0x03,0x06,0x03,0x06,0x06,0x03,0xFE,0x03,0xF8,0x00};
const uint8_t big_1[32] PROGMEM =
  {0x00,0x00,0x60,0x00,0x70,0x00,0x7C,0x00,0x7C,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0x60,0x00,0xFC,0x03,0xFC,0x03};
const uint8_t big_2[32] PROGMEM =
  {0x00,0x00,0xFC,0x01,0xFE,0x03,0x07,0x07,0x03,0x06,0x03,0x06,0x03,0x07,0x80,0x03,0xC0,0x01,0xE0,0x00,0x70,0x00,0x38,0x00,0x1C,0x00,0x0E,0x00,0xFF,0x07,0xFF,0x07};
const uint8_t big_3[32] PROGMEM =
  {0x00,0x00,0xFC,0x01,0xFE,0x03,0x07,0x07,0x03,0x06,0x03,0x06,0x00,0x06,0x00,0x07,0xF8,0x03,0xF8,0x01,0x00,0x03,0x00,0x06,0x03,0x06,0x07,0x07,0xFE,0x03,0xFC,0x01};
const uint8_t big_4[32] PROGMEM =
  {0x00,0x00,0xC0,0x01,0xE0,0x01,0xF0,0x01,0xB8,0x01,0x9C,0x01,0x8E,0x01,0x87,0x01,0x83,0x01,0xFF,0x07,0xFF,0x07,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01};
const uint8_t big_5[32] PROGMEM =
  {0x00,0x00,0xFF,0x07,0xFF,0x07,0x03,0x00,0x03,0x00,0x03,0x00,0xFF,0x01,0xFE,0x03,0x00,0x07,0x00,0x06,0x00,0x06,0x00,0x06,0x03,0x06,0x07,0x07,0xFE,0x03,0xFC,0x01};
const uint8_t big_6[32] PROGMEM =
  {0x00,0x00,0xE0,0x01,0xF0,0x01,0x38,0x00,0x1C,0x00,0x0E,0x00,0x06,0x00,0xFF,0x01,0xFF,0x03,0x07,0x07,0x03,0x06,0x03,0x06,0x03,0x06,0x07,0x07,0xFE,0x03,0xFC,0x01};
const uint8_t big_7[32] PROGMEM =
  {0x00,0x00,0xFF,0x07,0xFF,0x07,0x00,0x06,0x00,0x03,0x00,0x03,0x80,0x01,0x80,0x01,0xC0,0x00,0xC0,0x00,0x60,0x00,0x60,0x00,0x30,0x00,0x30,0x00,0x18,0x00,0x18,0x00};
const uint8_t big_8[32] PROGMEM =
  {0x00,0x00,0xF8,0x00,0xFC,0x01,0x8E,0x03,0x06,0x03,0x06,0x03,0x8E,0x03,0xFC,0x01,0xFE,0x03,0x07,0x07,0x03,0x06,0x03,0x06,0x03,0x06,0x07,0x07,0xFE,0x03,0xFC,0x01};
const uint8_t big_9[32] PROGMEM =
  {0x00,0x00,0xFC,0x01,0xFE,0x03,0x07,0x07,0x03,0x06,0x03,0x06,0x03,0x06,0x07,0x07,0xFE,0x07,0xFC,0x07,0x00,0x03,0x80,0x03,0xC0,0x01,0xE0,0x00,0x7C,0x00,0x3C,0x00};
const uint8_t big_space[32] PROGMEM =
  {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
#else //MSB to RIGHT
const uint8_t big_plus[32] PROGMEM =
  {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x0C,0x00,0x0C,0x00,0x7F,0x80,0x7F,0x80,0x0C,0x00,0x0C,0x00,0x0C,0x00,0x00,0x00,0x00,0x00};
const uint8_t big_minus[32] PROGMEM =
  {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0x80,0x7F,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
const uint8_t big_dot[32] PROGMEM =
  {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00};
const uint8_t big_0[32] PROGMEM =
  {0x00,0x00,0x1F,0x00,0x7F,0xC0,0x60,0xC0,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xC0,0x60,0x60,0xC0,0x7F,0xC0,0x1F,0x00};
const uint8_t big_1[32] PROGMEM =
  {0x00,0x00,0x06,0x00,0x0E,0x00,0x3E,0x00,0x3E,0x00,0x06,0x00,0x06,0x00,0x06,0x00,0x06,0x00,0x06,0x00,0x06,0x00,0x06,0x00,0x06,0x00,0x06,0x00,0x3F,0xC0,0x3F,0xC0};
const uint8_t big_2[32] PROGMEM =
  {0x00,0x00,0x3F,0x80,0x7F,0xC0,0xE0,0xE0,0xC0,0x60,0xC0,0x60,0xC0,0xE0,0x01,0xC0,0x03,0x80,0x07,0x00,0x0E,0x00,0x1C,0x00,0x38,0x00,0x70,0x00,0xFF,0xE0,0xFF,0xE0};
const uint8_t big_3[32] PROGMEM =
  {0x00,0x00,0x3F,0x80,0x7F,0xC0,0xE0,0xE0,0xC0,0x60,0xC0,0x60,0x00,0x60,0x00,0xE0,0x1F,0xC0,0x1F,0x80,0x00,0xC0,0x00,0x60,0xC0,0x60,0xE0,0xE0,0x7F,0xC0,0x3F,0x80};
const uint8_t big_4[32] PROGMEM =
  {0x00,0x00,0x03,0x80,0x07,0x80,0x0F,0x80,0x1D,0x80,0x39,0x80,0x71,0x80,0xE1,0x80,0xC1,0x80,0xFF,0xE0,0xFF,0xE0,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x80};
const uint8_t big_5[32] PROGMEM =
  {0x00,0x00,0xFF,0xE0,0xFF,0xE0,0xC0,0x00,0xC0,0x00,0xC0,0x00,0xFF,0x80,0x7F,0xC0,0x00,0xE0,0x00,0x60,0x00,0x60,0x00,0x60,0xC0,0x60,0xE0,0xE0,0x7F,0xC0,0x3F,0x80};
const uint8_t big_6[32] PROGMEM =
  {0x00,0x00,0x07,0x80,0x0F,0x80,0x1C,0x00,0x38,0x00,0x70,0x00,0x60,0x00,0xFF,0x80,0xFF,0xC0,0xE0,0xE0,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xE0,0xE0,0x7F,0xC0,0x3F,0x80};
const uint8_t big_7[32] PROGMEM =
  {0x00,0x00,0xFF,0xE0,0xFF,0xE0,0x00,0x60,0x00,0xC0,0x00,0xC0,0x01,0x80,0x01,0x80,0x03,0x00,0x03,0x00,0x06,0x00,0x06,0x00,0x0C,0x00,0x0C,0x00,0x18,0x00,0x18,0x00};
const uint8_t big_8[32] PROGMEM =
  {0x00,0x00,0x1F,0x00,0x3F,0x80,0x71,0xC0,0x60,0xC0,0x60,0xC0,0x71,0xC0,0x3F,0x80,0x7F,0xC0,0xE0,0xE0,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xE0,0xE0,0x7F,0xC0,0x3F,0x80};
const uint8_t big_9[32] PROGMEM =
  {0x00,0x00,0x3F,0x80,0x7F,0xC0,0xE0,0xE0,0xC0,0x60,0xC0,0x60,0xC0,0x60,0xE0,0xE0,0x7F,0xE0,0x3F,0xE0,0x00,0xC0,0x01,0xC0,0x03,0x80,0x07,0x00,0x3E,0x00,0x3C,0x00};
const uint8_t big_space[32] PROGMEM =
  {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
#endif  
//============================================================================

